<%-- Copyright (c) 2003-2008 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="../shell/default.jspf"%>
<sas-ui:Page key="commentAttach"/>
<%@page import="com.sas.svcs.comments.webapp.util.CommentManagerKeys"%>
<%@page import="com.sas.servlet.tbeans.tableview.html.TableViewStyleKeysInterface"%>
<%@taglib uri='http://www.sas.com/taglib/sas' prefix='sas' %>
<table width="100%" cellspacing="0" cellpadding="0" border="0" class="dataEntryBG">
<tr>
<td class="toppadding leftpadding rightpadding bottompadding">

<html:form  method="post" action="/CommentAttachments" enctype="multipart/form-data">
<table width="100%" cellspacing="5" cellpadding="0" border="0">
   <tr>
      <td colspan="2">
         <sas-ui:Help topic="comment_attach"/>
         <sas-ui:Message styleClass="solutionsSmallItem"/>
      </td>
   </tr>
   <tr>
      <td><sas-ui:Prompt property="file" required="false" /></td>
      <td><html:file property="file" size="50" onchange="attach();" /></td>
   </tr>
   <tr>
     <td><sas-ui:Prompt property="description" required="false" /></td>
     <td>
       <html:text property="description" size="50" maxlength="255" styleClass="textEntry"/>
     </td>
   </tr>
<logic:present name="<%=CommentManagerKeys.ATTACHMENT_MODEL%>">
   <tr>
     <td colspan="2" class="toppadding">
        <table width="95%" border="0" cellPadding="0" cellSpacing="0">
          <tr>
            <td>
                <sas:TableView
                     model="<%=CommentManagerKeys.ATTACHMENT_MODEL%>"
                     cellPadding="0"
                     cellSpacing="0"
                     scope="request"
                     rowHeaderVisible="false"
                     formEnabled="false"
                     autoCreateColumnsFromModel="false">
                  <sas:Columns>
                    <sas:Column modelIndex="-1">
                       <sas:ColumnHeaderRenderer>
                         <sas:StyleInfo classid="transparentTableHeader"/>
                         <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                            <sas-ui:Text key="comment.attachment.txt"/>
                         </sas:CellContentsSimpleTemplateRenderer>
                       </sas:ColumnHeaderRenderer>
                       <sas:CellRenderer widthPercentage="40">
                          <sas:StyleInfo classid="textTableCellTrans"/>
                          <sas:CellContentsSimpleTemplateRenderer encodeText="true">
                            %Name
                          </sas:CellContentsSimpleTemplateRenderer>
                       </sas:CellRenderer>
                    </sas:Column>
                    <sas:Column modelIndex="-1">
                       <sas:ColumnHeaderRenderer>
                         <sas:StyleInfo classid="transparentTableHeader"/>
                         <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                             <sas-ui:Text key="comment.attachment.description.txt"/>
                         </sas:CellContentsSimpleTemplateRenderer>
                       </sas:ColumnHeaderRenderer>
                       <sas:CellRenderer widthPercentage="40">
                          <sas:StyleInfo classid="textTableCellTrans"/>
                          <sas:CellContentsSimpleTemplateRenderer encodeText="true">
                               %Description 
                          </sas:CellContentsSimpleTemplateRenderer>
                       </sas:CellRenderer>
                    </sas:Column>
                    <sas:Column modelIndex="-1">
                       <sas:ColumnHeaderRenderer widthPercentage="10">
                         <sas:StyleInfo classid="transparentTableHeader"/>
                         <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                             <sas-ui:Text key="comment.attachment.action.txt"/>
                         </sas:CellContentsSimpleTemplateRenderer>
                       </sas:ColumnHeaderRenderer>
                       <sas:CellRenderer>
                          <sas:StyleInfo classid="textTableCellTrans"/>
                          <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                              <a href="CommentAttachments.do?command=remove&<%=CommentManagerKeys.ATTACHMENT_ID%>=%MODEL_ROW_NUMBER" target="_self"><sas-ui:ThemeImage border="0" name="remove"/>&nbsp;<sas-ui:Text key="comment.attachment.remove.txt"/></a>
                          </sas:CellContentsSimpleTemplateRenderer>
                       </sas:CellRenderer>
                    </sas:Column>
                  </sas:Columns>
                  <sas:StyleMapKey key="<%=TableViewStyleKeysInterface.TABLEVIEW_STYLE%>" classid="transparentTable"/>
                </sas:TableView>
            </td>
          </tr>
        </table>
     </td>
   </tr>
</logic:present>
</table>
<html:hidden property="location"/>
<html:hidden property="command"/>
<html:hidden property="createMode"/>
</html:form>
</td>
</tr>
</table>
<sas-ui:ButtonBar actionKey="Comment.AttachButtons" useHidden="false"/>
<script type="text/javascript">
function attach()
{
    var fv1 = document.forms[0].file.value;
    document.forms[0].location.value = fv1;
}
</script>
