<%-- Copyright (c) 2003-2008 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="../shell/default.jspf"%>
<%@page import="com.sas.svcs.comments.webapp.util.CommentManagerKeys"%>
<%@page import="com.sas.servlet.tbeans.tableview.html.TableViewStyleKeysInterface"%>
<%@taglib uri='http://www.sas.com/taglib/sas' prefix='sas' %>
<sas-ui:Page key="commentReply"/>
<table width="100%" cellspacing="0" cellpadding="0" border="0" class="dataEntryBG">
<tr>
<td class="toppadding leftpadding rightpadding bottompadding">
<html:form  method="post" action="/ReplyCommentSave">
<table width="100%" cellspacing="5" cellpadding="0" border="0">
   <tr><td colspan="2">
   <sas-ui:Help topic="comment_reply"/>
   <sas-ui:Message styleClass="solutionsSmallItem"/>
   </td></tr>
   <tr>
      <td><sas-ui:Prompt property="author" /></td>
      <td nowrap="nowrap"><bean:write name="<%=CommentManagerKeys.AUTHOR%>"/></td>
   </tr>
   <tr>
      <td><sas-ui:Prompt property="date" /></td>
      <td nowrap="nowrap"><bean:write name="<%=CommentManagerKeys.CREATED%>"/></td>
   </tr>
   <tr>
      <td><sas-ui:Prompt property="original.subject" /></td>
      <td nowrap="nowrap"><bean:write name="<%=CommentManagerKeys.SUBJECT%>"/></td>
   </tr>
   <tr>
      <td class="toppadding" valign="top"><sas-ui:Prompt property="original.text" /></td>
      <td class="toppadding"><p class="scrollText440100"><bean:write name="<%=CommentManagerKeys.TEXT%>"/></p></td>
   </tr>
   <tr>
      <td colspan="2" class="toppadding">
         <sas-ui:HorizontalLine styleClass="hline" width="90%"/>
      </td>
  </tr>
  <tr>
      <td><sas-ui:Prompt property="subject" required="true" /></td>
      <td nowrap="nowrap">
          <html:text property="subject" size="70" maxlength="100" styleClass="textEntry"/>
      </td>
   </tr>
   <tr>
      <td valign="top"><sas-ui:Prompt property="text" required="false" /></td>
      <td>
          <html:textarea property="text" cols="69" rows="4" styleClass="textArea" />
      </td>
  </tr>
  <tr>
      <td colspan="2" class="toppadding">
         <sas-ui:Button actionKey="Comment.AttachFiles" useHidden="false" />
<logic:notPresent name="<%=CommentManagerKeys.ATTACHMENT_MODEL%>">
         &nbsp;<sas-ui:Text styleClass="commonLabel" key="commentNew.no.attachments.txt"/>
</logic:notPresent>
      </td>
  </tr>
<logic:present name="<%=CommentManagerKeys.ATTACHMENT_MODEL%>">
   <tr>
      <td colspan="2" class="toppadding">
        <table width="95%" border="0" cellPadding="0" cellSpacing="0">
          <tr>
            <td>
                <sas:TableView
                     model="<%=CommentManagerKeys.ATTACHMENT_MODEL%>"
                     cellPadding="0"
                     cellSpacing="0"
                     scope="request"
                     rowHeaderVisible="false"
                     formEnabled="false"
                     autoCreateColumnsFromModel="false">
                  <sas:Columns>
					<sas:Column modelIndex="-1">
                       <sas:ColumnHeaderRenderer>
                         <sas:StyleInfo classid="transparentTableHeader"/>
                         <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                             <sas-ui:Text key="comment.attachment.action.txt"/>
                         </sas:CellContentsSimpleTemplateRenderer>
                       </sas:ColumnHeaderRenderer>
                       <sas:CellRenderer>
                          <sas:StyleInfo classid="textTableCellTrans"/>
                          <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                            <a href="javascript:submitAttachmentRemoval('ReplyComment.do?<%=CommentManagerKeys.ATTACHMENT_ID%>=%MODEL_ROW_NUMBER');" target="_self"><sas-ui:ThemeImage border="0" name="remove" />&nbsp;<sas-ui:Text key="comment.attachment.remove.txt"/></a>                            
                          </sas:CellContentsSimpleTemplateRenderer>
                       </sas:CellRenderer>
                    </sas:Column>
                    <sas:Column modelIndex="-1">
                       <sas:ColumnHeaderRenderer>
                         <sas:StyleInfo classid="transparentTableHeader"/>
                         <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                             <sas-ui:Text key="comment.attachment.txt"/>
                         </sas:CellContentsSimpleTemplateRenderer>
                       </sas:ColumnHeaderRenderer>
                       <sas:CellRenderer widthPercentage="40">
                          <sas:StyleInfo classid="textTableCellTrans"/>
                          <sas:CellContentsSimpleTemplateRenderer encodeText="true">
                            <a target=_blank href="ViewCommentAttachment.do?command=raw&<%=CommentManagerKeys.ATTACHMENT_ID%>=%MODEL_ROW_NUMBER">
                                <img border="0" src="<sas-ui:ThemeImageRef image="%Image" />">&nbsp;%Name
                            </a>
                          </sas:CellContentsSimpleTemplateRenderer>
                       </sas:CellRenderer>
                    </sas:Column>
                    <sas:Column modelIndex="-1">
                       <sas:ColumnHeaderRenderer>
                         <sas:StyleInfo classid="transparentTableHeader"/>
                         <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                             <sas-ui:Text key="comment.attachment.description.txt"/>
                         </sas:CellContentsSimpleTemplateRenderer>
                       </sas:ColumnHeaderRenderer>
                       <sas:CellRenderer widthPercentage="40">
                          <sas:StyleInfo classid="textTableCellTrans"/>
                          <sas:CellContentsSimpleTemplateRenderer encodeText="true">
                            %Description
                          </sas:CellContentsSimpleTemplateRenderer>
                       </sas:CellRenderer>
                    </sas:Column>
                  </sas:Columns>
                  <sas:StyleMapKey key="<%=TableViewStyleKeysInterface.TABLEVIEW_STYLE%>" classid="transparentTable"/>
                </sas:TableView>
            </td>
          </tr>
        </table>
      </td>
   </tr>
</logic:present>   
  
</table>
<html:hidden property="command"/>
</html:form>
</td>
</tr>
</table>
<sas-ui:ButtonBar actionKey="Comment.ReplyButtons" useHidden="false"/>

<script type="text/javascript">
function submitAttachmentRemoval(param)
{
    document.forms[0].action = param;
    doAction(0, "remove");
} 
</script>
