<%-- Copyright (c) 2003-2008 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="../shell/default.jspf"%>
<%@page import="com.sas.svcs.comments.webapp.util.CommentManagerKeys"%>
<%@page import="com.sas.servlet.tbeans.tableview.html.TableViewStyleKeysInterface"%>
<%@taglib uri='http://www.sas.com/taglib/sas' prefix='sas' %>

<jsp:useBean id="c_id" type="java.lang.String" scope="request"/>

<div id="todoArea">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr class="tabSelected">
   <td colspan="4" align="left" height="10px">
<html:form method="post" action="/SearchCommentsResults">
      <table style="padding-bottom: 5px;" cellpadding="0" cellspacing="0">
         <tr>
            <td style="padding-left: 5px;">
                <sas-ui:Text key="commentSearch.find.txt" />
            </td>
            <td style="padding-left: 5px;">
              <html:select property="option" styleClass="textEntry" onchange="optionChange()" styleId="option">
                    <html:options labelProperty="searchLabels" property="searchValues"/>
              </html:select>
            </td>
            <td>
                <div id="byauthor_div" style="display: none">
                     &nbsp;
                     <sas-ui:Text key="commentSearch.author.txt" />
                     <html:text maxlength="60" property="author" />
                </div>
            </td>
            <td>
                <div id="bydate_div" style="display: none">
                     <table cellpadding="0" cellspacing="0">
                       <tr>
                         <td style="padding-left:7px;">
                           <sas-ui:Text key="commentSearch.fromDate.txt" />
                         </td>
                         <td style="padding-left: 3px;">
                           <sas-ui:CalendarPicker property="fromDate" />
                         </td>
                         <td style="padding-left: 7px;">
                           <sas-ui:Text key="commentSearch.toDate.txt"/>
                         </td>
                         <td style="padding-left: 3px;">
                           <sas-ui:CalendarPicker property="toDate" />
                         </td>
                       </tr>
                     </table>
                </div>
            </td>
            <td>
                <div id="bycontent_div" style="display: none">
                     &nbsp;
                     <sas-ui:Text key="commentSearch.text.txt"/>
                     <html:text maxlength="60" property="text" />
                     <html:select property="textOption" styleClass="textEntry">
                         <html:options labelProperty="textLabels" property="textValues"/>
                     </html:select>
               </div>
            </td>
            <td style="padding-left: 5px;">
                <sas-ui:Button submitForm="true" actionKey="Comment.SearchGo" styleClass="buttonForControls"/>
            </td>
         </tr>
     </table>
</html:form>
  </td>
</tr>
</table>
</div>
<sas-ui:PanelContainer imgShow="panel_toggle_show"
                       imgHide="panel_toggle_hide"
                       alignRight="false">
<sas-ui:Panel>
   <sas-ui:Help pageKey="comment_search"/>
   <sas-ui:Message styleClass="solutionsSmallItem"/>
<logic:present name="<%=CommentManagerKeys.SUBJECT%>">
<table width="90%" cellspacing="0" cellpadding="0" border="0">
<tr>
<td>
<table width="90%" cellspacing="0" cellpadding="0" border="0">
   <tr>
      <td colspan="2">
         <span class="commonHeading"><bean:write name="<%=CommentManagerKeys.SUBJECT%>"/></span>
      </td>
   </tr>
   <tr>
      <td class="toppadding"><sas-ui:Text key="comment.author.txt" /></td>
      <td nowrap="nowrap" align="left" class="toppadding">
         <span class="commonLabel"><bean:write name="<%=CommentManagerKeys.AUTHOR%>"/></span>
      </td>
   </tr>
   <tr>
      <td><sas-ui:Text key="comment.date.txt" /></td>
      <td nowrap="nowrap">
         <span class="commonLabel"><bean:write name="<%=CommentManagerKeys.CREATED%>"/></span>
      </td>
   </tr>
   <tr>
      <td colspan="2" class="toppadding"><p class="scrollText440200"><bean:write name="<%=CommentManagerKeys.TEXT%>"/></p></td>
   </tr>
   <tr>
      <td colspan="2" class="toppadding">
         <html:form action="/ReplyComment" method="POST">
            <sas-ui:Button actionKey="Comment.Reply" formNumber="1"/>
         </html:form>
      </td>
    </tr>
    <logic:present name="<%=CommentManagerKeys.ATTACHMENT_MODEL%>">
       <tr>
          <td colspan="2" class="toppadding">
            <table width="95%" border="0" cellPadding="0" cellSpacing="0">
              <tr>
                <td>
                    <sas:TableView
                         model="<%=CommentManagerKeys.ATTACHMENT_MODEL%>"
                         cellPadding="0"
                         cellSpacing="0"
                         scope="request"
                         rowHeaderVisible="false"
                         formEnabled="false"
                         widthPercentage="100"
                         autoCreateColumnsFromModel="false">
                      <sas:Columns>
                        <sas:Column modelIndex="-1">
                           <sas:ColumnHeaderRenderer>
                             <sas:StyleInfo classid="transparentTableHeader"/>
                             <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                                 <sas-ui:Text key="comment.attachment.txt"/>
                             </sas:CellContentsSimpleTemplateRenderer>
                           </sas:ColumnHeaderRenderer>
                           <sas:CellRenderer widthPercentage="50">
                              <sas:StyleInfo classid="textTableCellTrans"/>
                              <sas:CellContentsSimpleTemplateRenderer encodeText="true">
                                <a target=_blank href="ViewCommentAttachment.do?command=existing&<%=CommentManagerKeys.ATTACHMENT_ID%>=%Id">
                                    <img border="0" src="<sas-ui:ThemeImageRef image="%Image" />">&nbsp;%Name
                                </a>
                              </sas:CellContentsSimpleTemplateRenderer>
                           </sas:CellRenderer>
                        </sas:Column>
                        <sas:Column modelIndex="-1">
                           <sas:ColumnHeaderRenderer>
                             <sas:StyleInfo classid="transparentTableHeader"/>
                             <sas:CellContentsSimpleTemplateRenderer encodeText="false">
                                 <sas-ui:Text key="comment.attachment.description.txt"/>
                             </sas:CellContentsSimpleTemplateRenderer>
                           </sas:ColumnHeaderRenderer>
                           <sas:CellRenderer widthPercentage="50">
                           <sas:StyleInfo classid="textTableCellTrans"/>
                              <sas:CellContentsSimpleTemplateRenderer encodeText="true">
                                %Description
                              </sas:CellContentsSimpleTemplateRenderer>
                           </sas:CellRenderer>
                        </sas:Column>
                      </sas:Columns>
                      <sas:StyleMapKey key="<%=TableViewStyleKeysInterface.TABLEVIEW_STYLE%>" classid="transparentTable"/>
                    </sas:TableView>
                </td>
              </tr>
            </table>
          </td>
       </tr>
    </logic:present>
</table>
</td>
</tr>
</table>
</logic:present>
</sas-ui:Panel>
<sas-ui:SlidePanel styleClass="dataEntryBG" overflow="true">
<logic:present name="<%=CommentManagerKeys.COMMENT_TREE%>">
    <table cellpadding="0" cellspacing="0">
       <tr height="100%">
         <td id="tdTreeView">
            <sas:TreeView id="treeView"
                          scope="request"
                          model="<%=CommentManagerKeys.COMMENT_TREE%>"
                          imageVisible="true"
                          usingURLLinks="true"
                          nodeLoading="FULL"
                          rootNodeVisible="false"
                          target="_self"
                          expansionLevel="1"
                          usePlusMinus="true"
                          selectionMode="SINGLE_SELECTION"
                          selectedNode="<%=c_id%>"
              />
         </td>
       </tr>
     </table>
</logic:present>
<logic:notPresent name="<%=CommentManagerKeys.COMMENT_TREE%>">
<div class="commonLabel toppadding leftpadding"><sas-ui:Text key="commentSearch.no.items.txt"/></div>
</logic:notPresent>
</sas-ui:SlidePanel>
</sas-ui:PanelContainer>

<script type="text/javascript">
function optionChange()
{
   // Get the option combo box's current selection
   optionSel = document.getElementById("option");
   option = optionSel.value;
   // Start by hiding the divs that are swappable.
   hideDiv("byauthor_div");
   hideDiv("bydate_div");
   hideDiv("bycontent_div");
   if (option == "author") { showDiv("byauthor_div"); }
   else if (option == "date") { showDiv("bydate_div"); }
   else if (option == "text") { showDiv("bycontent_div"); }
}
optionChange();
</script>
